# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


Name:           python-humanfriendly
Version:        1.44.7
Release:        2.5
Summary:        Human friendly input/output for text interfaces using Python
License:        MIT
Group:          Development/Languages/Python
Source:         https://github.com/xolox/%{name}/archive/%{version}.tar.gz
Url:            https://github.com/xolox/%{name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
Human friendly input/output for text interfaces using Python https://humanfriendly.readthedocs.org

%prep
%setup -q

%build
python setup.py build

%install
# TODO properly build docs
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}
%{_bindir}/humanfriendly

%changelog
* Wed Jun  1 2016 okurz@suse.com
- Update to official release 1.44.7
  Minor improvements to usage message reformatting
  Remove undocumented .strip() from join_lines()
  Why I noticed this: It has the potential to eat significant white
  space in usage messages that are marked up in reStructuredText syntax.
  Why I decided to change it: The behavior isn't documented and on
  second thought I wouldn't expect a function called join_lines()
  to strip any and all leading/trailing white space.
  Improve usage message parsing algorithm (also add a proper test)
  Refer to test_parse_usage_tricky() for an example of a usage message that
  is now parsed correctly but would previously confuse the dumb "parsing"
  algorithm in parse_usage().
  Make usage message parsing a bit more strict
  Admittedly this needs a lot more love to make it more robust but
  I lack the time to implement this at the moment. Some day soon! :-)
  Unbreak conditional importlib dependency*
  * https://travis-ci.org/xolox/python-humanfriendly/builds/110585766
  Kind of strange that everything worked fine locally. Then again,
  I've never used wheel compatible conditional dependencies before
  so of course my first attempt was bound to fail in same way :-s.
  Make conditional importlib dependency compatible with wheels*
  While running tox tests of another project of mine that uses the
  humanfriendly package I noticed a traceback when importing the
  humanfriendly package (because importlib was missing). After some
  digging I found that tox uses pip to install packages and pip converts
  source distributions to wheel distributions before/during installation,
  thereby dropping the conditional importlib dependency.
  Fix non-fatal log format error in prompt_for_choice()
  Add humanfriendly.sphinx module
* Mon Jan 25 2016 okurz@suse.de
- initial package
